#!/usr/bin/python
#**************************************************************************
#    copyright            : (C) 2005 by Michael Zimmermann
#    email                : webmaster@incunabulum.de
# ***************************************************************************/

#***************************************************************************
#                                                                         *
#    This program is free software; you can redistribute it and/or modify  *
#    it under the terms of version 2 of the GNU General Public License as  *
#    published by the Free Software Foundation;                            *
#                                                                          *
# **************************************************************************/
import sys
from distutils.core import setup
from distutils.sysconfig import *
from src.tools import getProjectDir

project_name = 'ZodbAnalyzer'
projectDir = getProjectDir(project_name)
# find bin install dir
if sys.platform == "win32":
    binDir = sys.exec_prefix
else:
    binDir = "/usr/local/bin"


def installStartScripts(binDir, projectDir):
    """
    create executable wrapper for python script
    from eric3 install script
    """
    baseName = 'zodbAnalyzer'
    if sys.platform == "win32":
        fileName = baseName + ".bat"
        uri = binDir + '\\' + fileName    
        wrapper = \
    """@%s\\pythonw %s\\%s.py %%1 %%2 %%3 %%4 %%5 %%6 %%7 %%8 %%9
    """ % (binDir,projectDir,baseName)
    
    else:
        fileName = baseName
        uri = binDir + '/' + fileName
        wrapper = \
    """#!/bin/sh
    exec %s %s/%s.py $*
    """ % (sys.executable,projectDir,baseName)
    
    # Write script to dir
    f = open(uri,"w")
    f.write(wrapper)
    f.close()
    os.chmod(uri,0755)
    
# call the distutils setup method 
setup(
    # meta information
    name=project_name,
    version='0.4',
    description='Analyze and browse a zope object database',
    author='Michael Zimmermann',
    author_email='webmaster@incunabulum.de',
    license='GPL',
    url='http://incunabulum.de/projects/it/zodbAnalyzer',
    
    # what to install where
    packages=[project_name],
    package_dir={project_name:'src'},
    data_files = [(projectDir , ['src/logging.ini'])],
    )


try:
    sys.argv.index('install')
    installStartScripts(binDir, projectDir)
except:
    pass
